Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	libcroco - a CSS parsing and manipulation library.
Name:      	libcroco
Version:   	0.6.2
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:		http://www.freespiders.org/projects/libcroco/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config

%description
Libcroco is a general CSS parsing and manipulation library
written in C for the GNOME project. It provides a
CSS2 parser (SAC and CSSOM API), and a CSS2 selection engine.
It uses Libxml2 as underlying XML platform and the GLib
as a portability layer.

%package	devel
Summary:        Development files for %{name}.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir
make

%install
doxygen
make install DESTDIR=$RPM_BUILD_ROOT
install -v -m755 -d $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/{examples,apis,apis/html}
install -v -m755 -d $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/examples
install -v -m644 docs/usage.txt $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
install -v -m644 docs/examples/*.c $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/examples
install -v -m644 docs/apis/html/* $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/apis/html
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/css*
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/croco*
%_pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-1
- Version update
* Wed Mar 15 2006 Christian Wasem <wasem@ccux-linux.de> 0.6.1-1
- Update to Version 0.6.1
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.0-4
- Moved necessary files to main package
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.0-3
- tweaked specfile, moved more files to devel, added BuildRequires
* Mon Sep 26 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-2
- rebuilt SRPM
